Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002120KdenliveFile Loadingpublic2011-05-08 18:402011-11-01 18:56
Reporterfarid 
Assigned Toj-b-m 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
Platform64 bitOSarchlinuxOS Version
Product Version0.8 
Target VersionFixed in Version0.8.2 
Summary0002120: crashes opening .dv
Descriptionimorting dv files crashes kdenlive


Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f985c7d87a0 (LWP 5606))]

Thread 6 (Thread 0x7f984bced700 (LWP 5608)):
#0 0x00007f9857666933 in poll () from /lib/libc.so.6
#1 0x00007f9856566b74 in ?? () from /usr/lib/libglib-2.0.so.0
0000002 0x00007f985656745a in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
0000003 0x00007f984c214c34 in ?? () from /usr/lib/libgio-2.0.so.0
0000004 0x00007f985658c074 in ?? () from /usr/lib/libglib-2.0.so.0
0000005 0x00007f9859789853 in ?? () from /usr/lib/libGL.so.1
0000006 0x00007f985a293d40 in start_thread () from /lib/libpthread.so.0
0000007 0x00007f985766eaed in clone () from /lib/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f982f815700 (LWP 5625)):
#0 0x00007f985a297dab in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f985c4177e8 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.4
0000002 0x00007f985c417f7f in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.4
0000003 0x00007f9835c51d2c in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x00007f9859789853 in ?? () from /usr/lib/libGL.so.1
0000005 0x00007f985a293d40 in start_thread () from /lib/libpthread.so.0
0000006 0x00007f985766eaed in clone () from /lib/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9830016700 (LWP 5626)):
#0 0x00007f985a297a34 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f9835c5150a in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f9859789853 in ?? () from /usr/lib/libGL.so.1
0000003 0x00007f985a293d40 in start_thread () from /lib/libpthread.so.0
0000004 0x00007f985766eaed in clone () from /lib/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f982d14a700 (LWP 5637)):
#0 0x00007f98565670d1 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#1 0x00007f985b7d32e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000002 0x00007f985b7a7832 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000003 0x00007f985b7a7a2f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000004 0x00007f985b6bf57f in QThread::exec() () from /usr/lib/libQtCore.so.4
0000005 0x00007f985b78a8cf in ?? () from /usr/lib/libQtCore.so.4
0000006 0x00007f985b6c1f95 in ?? () from /usr/lib/libQtCore.so.4
0000007 0x00007f9859789853 in ?? () from /usr/lib/libGL.so.1
0000008 0x00007f985a293d40 in start_thread () from /lib/libpthread.so.0
0000009 0x00007f985766eaed in clone () from /lib/libc.so.6
0000010 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f982e990700 (LWP 5649)):
#0 0x00007f985a297dab in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f985b6c239e in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007f985b6b6e4f in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007f985b6c1f95 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007f9859789853 in ?? () from /usr/lib/libGL.so.1
0000005 0x00007f985a293d40 in start_thread () from /lib/libpthread.so.0
0000006 0x00007f985766eaed in clone () from /lib/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f985c7d87a0 (LWP 5606)):
[KCrash Handler]
0000006 0x00007f983605e37d in ?? () from /usr/lib/mlt/libmltxine.so
0000007 0x00007f983605f1bb in filter_plane () from /usr/lib/mlt/libmltxine.so
0000008 0x00007f983605f9ce in ?? () from /usr/lib/mlt/libmltxine.so
0000009 0x00007f983605fd15 in ?? () from /usr/lib/mlt/libmltxine.so
0000010 0x00007f985c40965a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000011 0x00007f983394cfa5 in ?? () from /usr/lib/mlt/libmltcore.so
0000012 0x00007f985c40965a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000013 0x00007f983394d4a2 in ?? () from /usr/lib/mlt/libmltcore.so
0000014 0x00007f985c40965a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000015 0x00007f985c1f4e2d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib/libmlt++.so.3
0000016 0x00000000004b9710 in _start ()
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships
duplicate of 0002137closedddennedy crash on add clip 

-  Notes
(0006700)
j-b-m (administrator)
2011-05-08 22:30

Seems to be a problem with MLT. How did you install?

Can you play a file with it (from a terminal):

melt myclip.dv
(0006704)
stelvio.p (reporter)
2011-05-09 20:02

Hi there, same problem here: Debian Sid 64 bit, kdenlive build from source, version 8.1 revision 5574

kdenlive crash anytime I import a .DV or a MPEG2 file, no problem with other format like MP4, OGV, AVI.

$ melt anyfile.dv

work without problem, but crash happens when I import a DV or MPEG2 clip with openshot, so maybe this is not a kdenlive problem.

I've tried also packaged version from debian-multimedia, same results.

This is console output:
######################################################################
KCrash: Application 'kdenlive' crashing...
sock_file=/home/atah/.kde/socket-T400/kdeinit4__0
kdeinit4: preparing to launch /usr/lib/kde4/libexec/drkonqi

[1]+ Stopped kdenlive

Application asked to unregister timer 0x4a000004 which is not registered in this thread. Fix application.

[1]+ Exit 253 kdenlive

######################################################################


This is report from application debug window:
######################################################################
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f99b1024780 (LWP 7329))]

Thread 3 (Thread 0x7f998c069700 (LWP 7341)):
#0 0x00007f99ae90e63b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f99b0c40328 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.4
0000002 0x00007f99b0c40abf in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.4
0000003 0x00007f9991f107bc in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x00007f99ae909b40 in start_thread () from /lib/libpthread.so.0
0000005 0x00007f99aa9822ed in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f998c86a700 (LWP 7342)):
#0 0x00007f99ae90e2c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f9991f0ff9a in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f99ae909b40 in start_thread () from /lib/libpthread.so.0
0000003 0x00007f99aa9822ed in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f99b1024780 (LWP 7329)):
[KCrash Handler]
0000005 0x00007f998d02f4cd in ?? () from /usr/lib/mlt/libmltxine.so
0000006 0x00007f998d03030b in filter_plane () from /usr/lib/mlt/libmltxine.so
0000007 0x00007f998d030b1e in ?? () from /usr/lib/mlt/libmltxine.so
0000008 0x00007f998d030e65 in ?? () from /usr/lib/mlt/libmltxine.so
0000009 0x00007f99b0c3219a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000010 0x00007f9992f34675 in ?? () from /usr/lib/mlt/libmltcore.so
0000011 0x00007f99b0c3219a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000012 0x00007f9992f34b72 in ?? () from /usr/lib/mlt/libmltcore.so
0000013 0x00007f99b0c3219a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000014 0x00007f99b0a1c22d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib/libmlt++.so.3
0000015 0x00000000004c0110 in Render::getFileProperties (this=0x1627580, xml=<value optimized out>, clipId=..., imageHeight=36, replaceProducer=false, selectClip=true) at /home/atah/Downloads/kdenlive/kdenlive/src/renderer.cpp:780
0000016 0x00000000004c3a0c in Render::qt_metacall (this=0x1627580, _c=<value optimized out>, _id=23, _a=0x1a79cc0) at /home/atah/Downloads/kdenlive/kdenlive/build/src/cmake_bindir/renderer.moc:159
0000017 0x00007f99b001e19a in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
0000018 0x00007f99ab5d86d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000019 0x00007f99ab5dd561 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000020 0x00007f99afa8d4c6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000021 0x00007f99b000797c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000022 0x00007f99b000acc4 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
0000023 0x00007f99b0032173 in ?? () from /usr/lib/libQtCore.so.4
0000024 0x00007f99a9a984a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000025 0x00007f99a9a98c80 in ?? () from /lib/libglib-2.0.so.0
0000026 0x00007f99a9a98f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000027 0x00007f99b00325cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000028 0x00007f99ab67c70e in ?? () from /usr/lib/libQtGui.so.4
0000029 0x00007f99b0006b82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000030 0x00007f99b0006d7f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000031 0x00007f99b000af57 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000032 0x0000000000451f1b in main (argc=1, argv=0x7fff0b916d28) at /home/atah/Downloads/kdenlive/kdenlive/src/main.cpp:90

############################################################################


Hoping this may helpful to solve,
thank you very much for all your work!

Nice
(0006705)
farid (reporter)
2011-05-10 21:25

this calls for a 0.8.1 update since i cant work or is there a solution?
(0006706)
j-b-m (administrator)
2011-05-10 23:11

The backtrace still says the problem is somewhere in MLT.
Can you make sure you don't have several MLT versions installed:

ls -la /usr/lib/libmlt*

and that you don't have different versions of FFMpeg.

That might also be caused by an incompatibility between your FFMpeg and MLT version, in which case it is a packaging or dependency issue, I cannot do anything on my side.

Maybe try removing all MLT and Kdenlive packages and reinstall...
(0006707)
farid (reporter)
2011-05-11 05:08

ls -la /usr/lib/libmlt*
lrwxrwxrwx 1 root root 15 Mai 4 05:41 /usr/lib/libmlt.so -> libmlt.so.0.7.2
lrwxrwxrwx 1 root root 17 Mai 4 05:41 /usr/lib/libmlt++.so -> libmlt++.so.0.7.2
-rwxr-xr-x 1 root root 152472 Mai 4 05:41 /usr/lib/libmlt.so.0.7.2
-rwxr-xr-x 1 root root 115824 Mai 4 05:41 /usr/lib/libmlt++.so.0.7.2
lrwxrwxrwx 1 root root 17 Mai 4 05:41 /usr/lib/libmlt++.so.3 -> libmlt++.so.0.7.2
lrwxrwxrwx 1 root root 15 Mai 4 05:41 /usr/lib/libmlt.so.4 -> libmlt.so.0.7.2

my ffmpeg version is: 20110330
(0006708)
stelvio.p (reporter)
2011-05-11 11:51

Hi there

$ ls -la /usr/lib/libmlt*

lrwxrwxrwx 1 root root 15 May 2 17:58 /usr/lib/libmlt.so -> libmlt.so.0.7.2
lrwxrwxrwx 1 root root 17 May 2 17:58 /usr/lib/libmlt++.so -> libmlt++.so.0.7.2
-rw-r--r-- 1 root root 152984 May 2 17:58 /usr/lib/libmlt.so.0.7.2
-rw-r--r-- 1 root root 121664 May 2 17:58 /usr/lib/libmlt++.so.0.7.2
lrwxrwxrwx 1 root root 17 May 2 17:58 /usr/lib/libmlt++.so.3 -> libmlt++.so.0.7.2
lrwxrwxrwx 1 root root 15 May 2 17:58 /usr/lib/libmlt.so.4 -> libmlt.so.0.7.2


$ ffmpeg -version

FFmpeg version 0.6.2, Copyright (c) 2000-2010 the FFmpeg developers
  built on Mar 26 2011 11:23:58 with gcc 4.5.2
  configuration: --prefix=/usr --extra-cflags='-Wall -g ' --cc='ccache cc' --enable-shared --enable-libmp3lame --enable-gpl --enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc --enable-x11grab --enable-libgsm --enable-libtheora --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libspeex --enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac --enable-libschroedinger --disable-encoder=libschroedinger --enable-version3 --enable-libopenjpeg --enable-libvpx --enable-librtmp --extra-libs=-lgcrypt --disable-altivec --disable-armv5te --disable-armv6 --disable-vis
  libavutil 50.15. 1 / 50.15. 1
  libavcodec 52.72. 2 / 52.72. 2
  libavformat 52.64. 2 / 52.64. 2
  libavdevice 52. 2. 0 / 52. 2. 0
  libavfilter 1.19. 0 / 1.19. 0
  libswscale 0.11. 0 / 0.11. 0
  libpostproc 51. 2. 0 / 51. 2. 0
FFmpeg 0.6.2
libavutil 50.15. 1 / 50.15. 1
libavcodec 52.72. 2 / 52.72. 2
libavformat 52.64. 2 / 52.64. 2
libavdevice 52. 2. 0 / 52. 2. 0
libavfilter 1.19. 0 / 1.19. 0
libswscale 0.11. 0 / 0.11. 0
libpostproc 51. 2. 0 / 51. 2. 0


I think too this is not a kdenlive issue, same problem with openshot (which use melt and ffmpeg). Other video editor like pitivi work good.

All started with a package update... maybe melt 7.0 -> 7.2 (I'm not sure).

Thank you,
cheers
(0006712)
promis (reporter)
2011-05-12 17:51

I also have this, but it crashes on all files, not just dv. As soon I select video file it crashes. Here are the details>
==========================================================================
Application: kdenlive (0.8)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.7.0
Operating System: Linux 2.6.32-31-preempt x86_64
Distribution: Ubuntu 10.04.2 LTS

-- Information about the crash:
<In detail, tell us what you were doing when the application crashed.>

The crash can be reproduced every time.

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f34da1e27a0 (LWP 20111))]

Thread 3 (Thread 0x7f34b529f700 (LWP 20123)):
#0 0x00007f34d7dc3bc9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f34d9f0261a in mlt_consumer_get_frame () from /usr/lib/libmlt.so.4
0000002 0x00007f34d9f0377e in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.4
0000003 0x00007f34b641bbcc in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x00007f34d7dbe9ca in start_thread () from /lib/libpthread.so.0
0000005 0x00007f34d3e9670d in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f34b5aa0700 (LWP 20124)):
#0 0x00007f34d7dc385c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f34b641b3e8 in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f34d7dbe9ca in start_thread () from /lib/libpthread.so.0
0000003 0x00007f34d3e9670d in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f34da1e27a0 (LWP 20111)):
[KCrash Handler]
0000005 0x00007f34ba7471d2 in sws_scale () from /usr/lib/libswscale.so.0
0000006 0x00007f34bba931d9 in ?? () from /usr/lib/mlt/libmltavformat.so
0000007 0x00007f34b791ec4d in ?? () from /usr/lib/mlt/libmltcore.so
0000008 0x00007f34d9ef53ba in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000009 0x00007f34b791f085 in ?? () from /usr/lib/mlt/libmltcore.so
0000010 0x00007f34d9ef53ba in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000011 0x00007f34d9cdefed in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib/libmlt++.so.3
0000012 0x00000000004c5c30 in Render::getFileProperties (this=0x24e57e0, xml=<value optimized out>, clipId=<value optimized out>, imageHeight=<value optimized out>,
    replaceProducer=<value optimized out>, selectClip=<value optimized out>) at /home/johnny/izvori/kdenlive-0.8/src/renderer.cpp:780
0000013 0x00000000004cf7d0 in Render::qt_metacall (this=0x24e57e0, _c=<value optimized out>, _id=<value optimized out>, _a=0x2f6a620)
    at /home/johnny/izvori/kdenlive-0.8/build/src/cmake_bindir/renderer.moc:159
0000014 0x00007f34d94fde7e in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
0000015 0x00007f34d4aab6ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000016 0x00007f34d4ab11dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000017 0x00007f34d8f68a16 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000018 0x00007f34d94ec0ac in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000019 0x00007f34d94eefd2 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
0000020 0x00007f34d9518643 in ?? () from /usr/lib/libQtCore.so.4
0000021 0x00007f34d2fa98c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000022 0x00007f34d2fad748 in ?? () from /lib/libglib-2.0.so.0
0000023 0x00007f34d2fad8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000024 0x00007f34d9518183 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000025 0x00007f34d4b5d97e in ?? () from /usr/lib/libQtGui.so.4
0000026 0x00007f34d94eadd2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000027 0x00007f34d94eb1bc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000028 0x00007f34d94ef26b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000029 0x000000000045a4c5 in main (argc=<value optimized out>, argv=<value optimized out>) at /home/johnny/izvori/kdenlive-0.8/src/main.cpp:90
========================================================================
This report is from version which I compiled my self, but it's same with package from sunab ppa.
========================================================================
ls -la /usr/lib/libmlt*
lrwxrwxrwx 1 root root 15 2011-05-12 02:55 /usr/lib/libmlt.so -> libmlt.so.0.7.0
lrwxrwxrwx 1 root root 17 2011-05-12 02:49 /usr/lib/libmlt++.so -> libmlt++.so.0.7.0
-rw-r--r-- 1 root root 141824 2011-04-24 19:38 /usr/lib/libmlt.so.0.7.0
-rw-r--r-- 1 root root 131048 2011-04-24 19:38 /usr/lib/libmlt++.so.0.7.0
lrwxrwxrwx 1 root root 17 2011-04-25 11:41 /usr/lib/libmlt++.so.3 -> libmlt++.so.0.7.0
lrwxrwxrwx 1 root root 15 2011-04-25 11:41 /usr/lib/libmlt.so.4 -> libmlt.so.0.7.0

ffmpeg -version
FFmpeg version 0.6.2-4:0.6.2-1ubuntu1~ppa1~lucid1, Copyright (c) 2000-2010 the Libav developers
  built on Apr 7 2011 01:48:04 with gcc 4.4.3
  configuration: --extra-version='4:0.6.2-1ubuntu1~ppa1~lucid1' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-vaapi --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  libavutil 50.15. 1 / 50.15. 1
  libavcodec 52.72. 2 / 52.72. 2
  libavformat 52.64. 2 / 52.64. 2
  libavdevice 52. 2. 0 / 52. 2. 0
  libavfilter 1.19. 0 / 1.19. 0
  libswscale 0.11. 0 / 0.11. 0
  libpostproc 51. 2. 0 / 51. 2. 0
(0006882)
farid (reporter)
2011-06-13 02:47

i reinstalled ffmpeg but this happended again:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f96c65527a0 (LWP 32213))]

Thread 5 (Thread 0x7f96b5a26700 (LWP 32214)):
#0 0x00007f96c13de933 in poll () from /lib/libc.so.6
#1 0x00007f96c02de7d4 in ?? () from /usr/lib/libglib-2.0.so.0
0000002 0x00007f96c02df0ba in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
0000003 0x00007f96b5f4dbe4 in ?? () from /usr/lib/libgio-2.0.so.0
0000004 0x00007f96c0303d16 in ?? () from /usr/lib/libglib-2.0.so.0
0000005 0x00007f96c3501893 in ?? () from /usr/lib/libGL.so.1
0000006 0x00007f96c400bd40 in start_thread () from /lib/libpthread.so.0
0000007 0x00007f96c13e6aed in clone () from /lib/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9699a2e700 (LWP 32231)):
#0 0x00007f96c400fdab in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f96c61907e8 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.4
0000002 0x00007f96c6190f7f in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.4
0000003 0x00007f969ff35d2c in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x00007f96c3501893 in ?? () from /usr/lib/libGL.so.1
0000005 0x00007f96c400bd40 in start_thread () from /lib/libpthread.so.0
0000006 0x00007f96c13e6aed in clone () from /lib/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f969a22f700 (LWP 32232)):
#0 0x00007f96c400fa34 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f969ff3550a in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f96c3501893 in ?? () from /usr/lib/libGL.so.1
0000003 0x00007f96c400bd40 in start_thread () from /lib/libpthread.so.0
0000004 0x00007f96c13e6aed in clone () from /lib/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f96972df700 (LWP 32243)):
#0 0x00007f96c13de933 in poll () from /lib/libc.so.6
#1 0x00007f96c02de7d4 in ?? () from /usr/lib/libglib-2.0.so.0
0000002 0x00007f96c02ded09 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000003 0x00007f96c554b8de in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000004 0x00007f96c551fdb2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000005 0x00007f96c551ffb7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000006 0x00007f96c543769f in QThread::exec() () from /usr/lib/libQtCore.so.4
0000007 0x00007f96c5502d8f in ?? () from /usr/lib/libQtCore.so.4
0000008 0x00007f96c543a0f5 in ?? () from /usr/lib/libQtCore.so.4
0000009 0x00007f96c3501893 in ?? () from /usr/lib/libGL.so.1
0000010 0x00007f96c400bd40 in start_thread () from /lib/libpthread.so.0
0000011 0x00007f96c13e6aed in clone () from /lib/libc.so.6
0000012 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f96c65527a0 (LWP 32213)):
[KCrash Handler]
0000006 0x00007f96a034237d in ?? () from /usr/lib/mlt/libmltxine.so
0000007 0x00007f96a03431bb in filter_plane () from /usr/lib/mlt/libmltxine.so
0000008 0x00007f96a03439ce in ?? () from /usr/lib/mlt/libmltxine.so
0000009 0x00007f96a0343d15 in ?? () from /usr/lib/mlt/libmltxine.so
0000010 0x00007f96c618265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000011 0x00007f969dc30fa5 in ?? () from /usr/lib/mlt/libmltcore.so
0000012 0x00007f96c618265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000013 0x00007f969dc314a2 in ?? () from /usr/lib/mlt/libmltcore.so
0000014 0x00007f96c618265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000015 0x00007f96c5f6de2d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib/libmlt++.so.3
0000016 0x00000000004b9710 in _start ()
(0006883)
farid (reporter)
2011-06-13 02:49

trying melt i get this:

(Note: Falha de segmentação means Segmentation Fault in pt-br)

melt -verbose tc.dv
[dv @ 0x8be1a0] Estimating duration from bitrate, this may be inaccurate
[dv @ 0x8bf400] Estimating duration from bitrate, this may be inaccurate
[dv @ 0x8c3000] Estimating duration from bitrate, this may be inaccurate
[dv @ 0x8f1000] Estimating duration from bitrate, this may be inaccurate
[dv @ 0x8f4220] Estimating duration from bitrate, this may be inaccurate
[dv @ 0x913a30] Estimating duration from bitrate, this may be inaccurate
[producer avformat] audio: total_streams 1 max_stream 1 total_channels 2 max_channels 2
Falha de segmentação

melt -debug tc.dv
Probed with size=131072 and score=75
[dv @ 0xaa51a0] All info found
[dv @ 0xaa51a0] Estimating duration from bitrate, this may be inaccurate
Probed with size=131072 and score=75
[dv @ 0xaa6400] All info found
[dv @ 0xaa6400] Estimating duration from bitrate, this may be inaccurate
Probed with size=131072 and score=75
[dv @ 0xaaa000] All info found
[dv @ 0xaaa000] Estimating duration from bitrate, this may be inaccurate
[mlt_producer 0xaa0920] capturas/taina/tc-fazenda012.dv
    mlt_service_cache_put: name producer_avformat object 0xaa0920 data 0xaa2750
mlt_cache_put: put 0 = 0xaa0920, 0xaa2750
[producer avformat] capturas/taina/tc-fazenda012.dv
    mlt_service_cache_get: name producer_avformat object 0xaa0920
mlt_cache_get: get 0 = 0xaa0920, 0xaa2750
Probed with size=131072 and score=75
[dv @ 0xad8000] All info found
[dv @ 0xad8000] Estimating duration from bitrate, this may be inaccurate
Probed with size=131072 and score=75
[dv @ 0xadb220] All info found
[dv @ 0xadb220] Estimating duration from bitrate, this may be inaccurate
Probed with size=131072 and score=75
[dv @ 0xafaa30] All info found
[dv @ 0xafaa30] Estimating duration from bitrate, this may be inaccurate
[producer avformat] audio: total_streams 1 max_stream 1 total_channels 2 max_channels 2
[producer avformat] capturas/taina/tc-fazenda012.dv
    mlt_service_cache_get: name producer_avformat object 0xaa0920
mlt_cache_get: get 0 = 0xaa0920, 0xaa2750
[producer avformat] capturas/taina/tc-fazenda012.dv
    mlt_service_cache_get: name producer_avformat object 0xaa0920
mlt_cache_get: get 0 = 0xaa0920, 0xaa2750
[filter deinterlace] previous 0 current 0 next 1
[producer avformat] capturas/taina/tc-fazenda012.dv
    seeking timestamp 0 position 0 expected 0 last_pos -2
[producer avformat] capturas/taina/tc-fazenda012.dv
    pkt.dts 0 req_pos 0 cur_pos -1 pkt_pos 0
[producer avformat] capturas/taina/tc-fazenda012.dv
     got_pic 336 key 1
mlt_cache_put: put 0 = (nil), 0x7f7f12a1e020
mlt_cache_get: get 0 = (nil), 0x7f7f12a1e020
[producer avformat] capturas/taina/tc-fazenda012.dv
    pkt.dts 1 req_pos 1 cur_pos 0 pkt_pos 1
[producer avformat] capturas/taina/tc-fazenda012.dv
     got_pic 336 key 1
mlt_cache_put: put 1 = 0x1, 0x7f7f1281c020
Falha de segmentação
(0006970)
farid (reporter)
2011-06-28 06:04

ok,

so after i reported a bug to archlinux they updated the package but now there seems to be another problem (probably with libmltxine):

gdb kdenlive
GNU gdb (GDB) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>... [^]
Reading symbols from /usr/bin/kdenlive...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/kdenlive
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffe76c6700 (LWP 10874)]
project monitor connected
clip monitor connected
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
[New Thread 0x7fffcbe5f700 (LWP 10875)]
[New Thread 0x7fffcb65e700 (LWP 10876)]
[Thread 0x7fffcbe5f700 (LWP 10875) exited]
[Thread 0x7fffcb65e700 (LWP 10876) exited]
[New Thread 0x7fffcb65e700 (LWP 10877)]
[New Thread 0x7fffcbe5f700 (LWP 10878)]
[Thread 0x7fffcb65e700 (LWP 10877) exited]
[Thread 0x7fffcbe5f700 (LWP 10878) exited]
[New Thread 0x7fffcbe5f700 (LWP 10879)]
[New Thread 0x7fffcb65e700 (LWP 10880)]
[New Thread 0x7fffca7d9700 (LWP 10881)]
[Thread 0x7fffcbe5f700 (LWP 10879) exited]
[Thread 0x7fffcb65e700 (LWP 10880) exited]
[New Thread 0x7fffcb65e700 (LWP 10882)]
[New Thread 0x7fffcbe5f700 (LWP 10883)]
[Thread 0x7fffcb65e700 (LWP 10882) exited]
[Thread 0x7fffcbe5f700 (LWP 10883) exited]
[New Thread 0x7fffcbe5f700 (LWP 10884)]
[New Thread 0x7fffcb65e700 (LWP 10885)]
[Thread 0x7fffcbe5f700 (LWP 10884) exited]
[Thread 0x7fffcb65e700 (LWP 10885) exited]
[New Thread 0x7fffcb65e700 (LWP 10886)]
[New Thread 0x7fffcbe5f700 (LWP 10887)]
[Thread 0x7fffcb65e700 (LWP 10886) exited]
[Thread 0x7fffcbe5f700 (LWP 10887) exited]
[New Thread 0x7fffcbe5f700 (LWP 10888)]
[New Thread 0x7fffcb65e700 (LWP 10889)]
[Thread 0x7fffcbe5f700 (LWP 10888) exited]
[Thread 0x7fffcb65e700 (LWP 10889) exited]
[New Thread 0x7fffcb65e700 (LWP 10890)]
[New Thread 0x7fffcbe5f700 (LWP 10891)]
[New Thread 0x7fffc978b700 (LWP 10892)]

Program received signal SIGSEGV, Segmentation fault.
0x00007fffd1b7937d in ?? () from /usr/lib/mlt/libmltxine.so
(gdb) bt
#0 0x00007fffd1b7937d in ?? () from /usr/lib/mlt/libmltxine.so
#1 0x00007fffd1b7a1bb in filter_plane () from /usr/lib/mlt/libmltxine.so
0000002 0x00007fffd1b7a9ce in ?? () from /usr/lib/mlt/libmltxine.so
0000003 0x00007fffd1b7ad15 in ?? () from /usr/lib/mlt/libmltxine.so
0000004 0x00007ffff7bc265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000005 0x00007fffcf703fa5 in ?? () from /usr/lib/mlt/libmltcore.so
0000006 0x00007ffff7bc265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000007 0x00007fffcf7044a2 in ?? () from /usr/lib/mlt/libmltcore.so
0000008 0x00007ffff7bc265a in mlt_frame_get_image () from /usr/lib/libmlt.so.4
0000009 0x00007ffff79ade2d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib/libmlt++.so.3
0000010 0x00000000004b9710 in _start ()
(0007000)
farid (reporter)
2011-07-01 05:02

i also reported this to the archlinux packaging team. but they dont know how to solve this.

https://bugs.archlinux.org/task/24919 [^]

please help. i need to start editing my project. :/


cheers
(0007001)
ttill (developer)
2011-07-01 11:36

Looks like a crash in the yadif deinterlacer (in libmltxine) which occurs when using GCC 4.6 (see: http://mltframework.org/gitweb/mlt.git?p=mltframework.org/mlt.git;a=commit;h=f0a3d27e85eee67760ae35497504b92f7bed3046 [^]) So you either have to use MLT from GIT (then Kdenlive from SVN is required I guess), wait for the next release or recompile MLT with --disable-sse2 (or tell the packager to do so ;)).
(0007005)
farid (reporter)
2011-07-02 16:34

hi ttil,

problem solved recompiling mlt as you said. the archlinux package was updated :)

thanks alot!

cheers

- Issue History
Date Modified Username Field Change
2011-05-08 18:40 farid New Issue
2011-05-08 22:30 j-b-m Note Added: 0006700
2011-05-08 22:30 j-b-m Assigned To => j-b-m
2011-05-08 22:30 j-b-m Status new => feedback
2011-05-09 20:02 stelvio.p Note Added: 0006704
2011-05-10 21:25 farid Note Added: 0006705
2011-05-10 21:25 farid Status feedback => assigned
2011-05-10 23:11 j-b-m Note Added: 0006706
2011-05-11 05:08 farid Note Added: 0006707
2011-05-11 11:51 stelvio.p Note Added: 0006708
2011-05-12 17:51 promis Note Added: 0006712
2011-06-13 02:47 farid Note Added: 0006882
2011-06-13 02:49 farid Note Added: 0006883
2011-06-28 06:04 farid Note Added: 0006970
2011-07-01 05:02 farid Note Added: 0007000
2011-07-01 11:36 ttill Note Added: 0007001
2011-07-01 11:37 ttill Relationship added duplicate of 0002137
2011-07-02 16:34 farid Note Added: 0007005
2011-07-04 19:07 j-b-m Status assigned => resolved
2011-07-04 19:07 j-b-m Fixed in Version => Recent git
2011-07-04 19:07 j-b-m Resolution open => no change required
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker